%define uname	RTLSDR-Airband

Name:		rtlsdr-airband
Version:	5.0.9
Release:	%mkrel 1
Summary:	CLI airband receiver using RTL-SDR dongle
Group:		Communications/Radio
License:	GPLv3
# https://github.com/szpajder/RTLSDR-Airband.git
Url:		https://github.com/szpajder/%{uname}
Source0:	https://github.com/szpajder/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:	rtl_airband-mageia.sh
Source2:	rtl_airband.default
Source3:	rtl_airband.unit
Source4:	README.Mageia

BuildRequires:	cmake
BuildRequires:	lame-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(shout)
BuildRequires:	%{_lib}soapy-sdr-devel
BuildRequires:	pkgconfig(vorbis)

%description
A CLI airband/scanning receiver using an RTL-SDR dongle.
Features:
    Multichannel mode - decode up to eight AM or NFM channels per dongle
    (within bandwidth frequency range).
    Scanner mode - decode unlimited number of AM and/or NFM channels with
    frequency hopping and no frequency range limitations.
    Decode multiple dongles simultaneously.
    Auto squelch and Automatic Gain Control.
    MP3 encoding.
    Stream to Icecast or SHOUTcast server.
    Record to local MP3 files (continuously or skipping silence periods).
    Multiple streaming/recording destinations per channel.
    Mixing several channels into a single audio stream (both mono and stereo
    mixing is supported).
    
For quick start guide see /usr/share/doc/rtlsdr-airband/README.Mageia

%prep
%autosetup -n %{uname}-%{version} -p1

sed -i "s:CMAKE_COMPILE_WARNING_AS_ERROR ON:CMAKE_COMPILE_WARNING_AS_ERROR OFF:" CMakeLists.txt

%build
%cmake -DPLATFORM=native \
       -DNFM=1 \
       -DPULSE=1

%cmake_build 

%install
%cmake_install

mkdir -p %{buildroot}/etc/init.d
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/rtl_airband
install -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/rtl_airband
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -f config/* %{buildroot}%{_docdir}/%{name}/
cp -f %{SOURCE4} %{buildroot}%{_docdir}/%{name}/
mkdir -p %{buildroot}%{_unitdir}
cp -f %{SOURCE3} %{buildroot}%{_unitdir}/rtl_airband.service

%files
%doc %{_docdir}/%{name}/*
%{_bindir}/rtl_airband
%{_sysconfdir}/init.d/rtl_airband
%config(noreplace) %{_sysconfdir}/default/rtl_airband
%{_unitdir}/rtl_airband.service


%changelog
* Mon Feb 05 2024 barjac <barjac> 5.0.9-1.mga10
+ Revision: 2037392
- new version 5.0.9

* Tue Jun 27 2023 barjac <barjac> 4.1.1-1.mga9
+ Revision: 1963229
- new version 4.1.1
- turn off warnings as errors to fix build

* Mon Jan 30 2023 barjac <barjac> 4.0.3-1.mga9
+ Revision: 1936984
- new version 4.0.3

* Sat Apr 02 2022 umeabot <umeabot> 4.0.2-2.mga9
+ Revision: 1840119
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 barjac <barjac> 4.0.2-1.mga9
+ Revision: 1771031
- fix i586 build
- pass parameters to cmake correctly
- new version 4.0.2

* Thu Dec 02 2021 barjac <barjac> 4.0.1-1.mga9
+ Revision: 1760521
- new version 4.0.1

* Wed Dec 01 2021 barjac <barjac> 4.0.0-1.mga9
+ Revision: 1760510
- new version 4.0.0
- Switch to cmake
- Enable arm builds
- Drop obsolete patch
- Support Soapy-SDR
- Dont install a config file

* Mon Nov 16 2020 barjac <barjac> 3.2.1-1.mga8
+ Revision: 1646451
- new version 3.2.1

* Mon Nov 09 2020 barjac <barjac> 3.2.0-1.mga8
+ Revision: 1643856
- new version 3.2.0

* Thu Feb 20 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1545829
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 barjac <barjac> 3.1.0-1.mga8
+ Revision: 1485260
- new version 3.1.0

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1300865
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 3.0.1-1.mga7
+ Revision: 1215607
- Update to version 3.0.1
- Rediffed patch

* Fri Dec 01 2017 barjac <barjac> 2.4.0-1.mga7
+ Revision: 1180556
- new version 2.4.0
- patched makefile to fix build
- extended README.Mageia to include new pulseaudio server option
- now builds in core not tainted (lame)
- added BR on pulse

* Mon Jan 23 2017 barjac <barjac> 2.3.0-2.mga6.tainted
+ Revision: 1083159
- drop arm builds
- minor changes to %%description and README.Mageia

* Mon Jan 23 2017 barjac <barjac> 2.3.0-1.mga6.tainted
+ Revision: 1083084
- New package

